# kgPanels

## [1.23-1-g5183851](https://github.com/Stanzilla/kgPanels/tree/5183851459322b8c2754ce0b9f5d40a0e6df882c) (2019-09-24)
[Full Changelog](https://github.com/Stanzilla/kgPanels/compare/1.23...5183851459322b8c2754ce0b9f5d40a0e6df882c)

- Fix kgPanels:OnInitialize()  
    Commit 91ff84ee9a02f181e395e1a1d2c52902adfa3d6e introduced a bug causing kgpanels to not correctly initialize on WoW Retail.
  
    In opposition to kgPanelsConfig\kgPanelsConfig.lua the function was evaluated instead of the true/false return.
  
    This commit fix this bug and permit KgPanels to work on Retail's version
  
    Typical InGame StackTrace :
  
    3x kgPanelsConfig\kgPanelsConfig-1.23.lua:607: Usage: LibDualSpec:EnhanceOptions(optionTable, target): EnhanceDatabase should be called before EnhanceOptions(optionTable, target).
  
    [C]: in function `error'
  
    ...Ons\Bazooka\libs\LibDualSpec-1.0\LibDualSpec-1.0-17.lua:348: in function `EnhanceOptions'
  
    kgPanelsConfig\kgPanelsConfig-1.23.lua:607: in function <kgPanelsConfig\kgPanelsConfig.lua:596>
  
    [C]: ?
  
    ...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0-12.lua:70: in function <...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0.lua:65>
  
    ...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0-12.lua:498: in function `InitializeAddon'
  
    ...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0-12.lua:613: in function <...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0.lua:605>
  
    [C]: in function `LoadAddOn'
  
    kgPanels\kgPanels-1.23.lua:634: in function `?'
  
    ...ddOns\AdiBags\libs\AceConsole-3.0\AceConsole-3.0-7.lua:94: in function `?'
  
    FrameXML\ChatFrame.lua:4836: in function <FrameXML\ChatFrame.lua:4783>
  
    [C]: in function `ChatEdit\_ParseText'
  
    FrameXML\ChatFrame.lua:4497: in function <FrameXML\ChatFrame.lua:4496>
  
    [C]: in function `ChatEdit\_SendText'
  
    FrameXML\ChatFrame.lua:4533: in function `ChatEdit\_OnEnterPressed'
  
    [string "*:OnEnterPressed"]:1: in function <[string "*:OnEnterPressed"]:1>
  
    3x kgPanelsConfig\ArtHelper.lua:173: attempt to index field 'artLibrary' (a nil value)
  
    kgPanelsConfig\ArtHelper.lua:173: in function `CreateArtMenu'
  
    kgPanelsConfig\ArtHelper.lua:13: in function `InitArt'
  
    kgPanelsConfig\kgPanelsConfig-1.23.lua:637: in function <kgPanelsConfig\kgPanelsConfig.lua:635>
  
    [C]: ?
  
    ...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0-12.lua:70: in function <...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0.lua:65>
  
    ...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0-12.lua:527: in function `EnableAddon'
  
    ...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0-12.lua:620: in function <...ceAdiBags\libs\AceAddon-3.0\AceAddon-3.0.lua:605>
  
    [C]: in function `LoadAddOn'
  
    kgPanels\kgPanels-1.23.lua:634: in function `?'
  
    ...ddOns\AdiBags\libs\AceConsole-3.0\AceConsole-3.0-7.lua:94: in function `?'
  
    FrameXML\ChatFrame.lua:4836: in function <FrameXML\ChatFrame.lua:4783>
  
    [C]: in function `ChatEdit\_ParseText'
  
    FrameXML\ChatFrame.lua:4497: in function <FrameXML\ChatFrame.lua:4496>
  
    [C]: in function `ChatEdit\_SendText'
  
    FrameXML\ChatFrame.lua:4533: in function `ChatEdit\_OnEnterPressed'
  
    [string "*:OnEnterPressed"]:1: in function <[string "*:OnEnterPressed"]:1>
  
    2x kgPanels\kgPanels-1.23.lua:462: kgPanelsConfig isn't registed with AceConfigRegistry, unable to open config
  
    [C]: ?
  
    ...nfig-3.0\AceConfigDialog-3.0\AceConfigDialog-3.0-78.lua:1861: in function `Open'
  
    kgPanels\kgPanels-1.23.lua:462: in function `OnClick'
  
    Bazooka\Bazooka-v2.9.3.lua:1418: in function <Bazooka\Bazooka.lua:1415>
  
    Locals:
  
    (*temporary) = "kgPanelsConfig isn't registed with AceConfigRegistry, unable to open config"  